<!DOCTYPE html>
<html lang="en" ng-app="Compass">
  <head>
    <meta charset="utf-8">
    <!-- This sets the relative base_url for the app, which
         is necessary if its not running from the root.
         Flask replaces this %script_root% piece with the
         right path-->
    <base href="<!--%script_root%-->/">
    <title>Compass</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Tor relay stats">
    <meta name="author" content="Sathyanarayanan Gunasekaran">

    <!-- Le styles -->
    <link href="static/css/bootstrap.min.css" rel="stylesheet">
    <link href="static/lib/select2/select2.css" rel='stylesheet'>
    <link href="static/lib/angular-ui/angular-ui.min.css" rel="stylesheet">
    <link href="static/css/style.css" rel="stylesheet">
    <style type="text/css">
      body {
        padding-top: 60px;
        padding-bottom: 40px;
      }
      td#extra_table_title {
        font-weight: bold;
      }
      th.spinner-small {
          background-repeat: no-repeat;
          background-position: right center;
          background-size: 15px 15px;
          padding-right: 20px;
      }
    </style>

    <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
  </head>

  <body>

    <div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
          <a class="brand" href="/"><img src="static/img/compass-logo.jpg" /></a>
          <div class="nav-collapse">
            <ul class="nav">
              <li class="active"><a href="/">Home</a></li>
            </ul>
          </div><!--/.nav-collapse -->
    <div>
      <ul class="nav pull-right">
       <li><a href="https://gitweb.torproject.org/compass.git">Source code</a></li>
       <li><a href="https://metrics.torproject.org/about.html#contact">Contact</a> </li>
     </ul>
    </div>
        </div>
      </div>
    </div>

    <div class="container" ng-controller="CompassCtrl">
      <div class="hero-unit">
      <div class="alert alert-danger">
	<p>The Compass service has now been partially shut down.
	Aggregated search functionality has been
        integrated into <a href="https://atlas.torproject.org/#aggregate">Relay
	Search</a> (formerly known as Atlas) to give a unified tool for
	exploring both single relays and aggregations of relays. Any queries
        made will redirect to Relay Search to display results.<p>
        <p>Please ensure that all the functionality you require is available
	in Relay Search before Compass is shut down. If any functionality is
        missing, please <a
	href="https://trac.torproject.org/projects/tor/newticket?component=Metrics/Atlas&parent=%2324445">file
        a ticket to request that it be added</a>.</p>
	<p>This search form will no longer be available from 15th January 2018.</p>
      </div>
        <form class="form-horizontal" id="form">
          <fieldset>
            <legend>Compass</legend>
            <div class="control-group">
              <h3> Filter </h3>
              <label class="control-label" for="guards">Guards</label>
              <div class="controls">
                <label class="checkbox">
                  <input type="checkbox" id="guards_only" value="True" name="guards_only" ng-model='query.guards_only'>
                  select only relays suitable for guard position
                </label>
              </div>
              <label class="control-label" for="exits_only">Exits</label>
              <div class="controls">
                <label class="checkbox">
                  <input type="checkbox" id="exits_only" value="True" name="exits_only" ng-model='query.exits_only'>
                  select only relays suitable for exit position</label>
              </div>
              <label class="control-label" for="family">Family</label>
              <div class="controls">
                <input type="text" class="input-xlarge" id="family" name="family" ng-model="query.family"
                placeholder="A59E1E7C7EAEE083D756EE1FF6EC31CA3D8651D7">
                <span class="help-inline">Select family by fingerprint or nickname</span>
              </div>
              <label class="control-label" for="asNo">AS Number</label>
              <div class="controls">
                <input type="text" class="input-xlarge" id="ases" name="ases" ng-model="query.ases"
                placeholder="AS3320">
                <span class="help-inline">select only relays from AS number</span>
              </div>
              <label class="control-label" for="cc">Country</label>
              <div class="controls">
                 <select id="country" name="country" ng-model='query.country'
                   ui-select2 data-placeholder="Germany">
                   <option value="">Any</option>
                   <option ng-repeat="country in cc_data" value="{{country.id}}" >{{country.text}}</option>
                </select>
                <span class="help-inline">select only relays from this country</span>
              </div>
            </div>
            <div class="control-group">
              <h3> Group </h3>
              <label class="control-label" for="country">Country</label>
              <div class="controls">
                <label class="checkbox">
                  <input type="checkbox" id="by_country" value="True" name="by_country" ng-model="query.by_country">
                  group relays by country </label>
              </div>
              <label class="control-label" for="as">AS</label>
              <div class="controls">
                <label class="checkbox">
                <input type="checkbox" id="by_as" value="True" name="by_as" ng-model="query.by_as"> group relays by AS</label>
            </div>
          </div>

          <div class="control-group">
            <h3> Display </h3>
            <label class="control-label" for="top">Number of results</label>
            <div class="controls">
              <input type="text" class="input-xlarge" id="top" name="top"
              placeholder="-1" value="-1" ng-model="query.top" disabled="disabled">
              <span class="help-inline">limiting of results is disabled</span>
            </div>
          </div>
          <div class="form-actions">
            <button  class="btn btn-primary" ng-click="request()">Submit</button>
            <button class="btn" ng-click="reset()">Reset</button>
          </div>
        </fieldset>
      </form>
    </div>

    </div> <!-- /container -->

    <!-- Le javascript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster
    -->
    <script src="static/js/jquery-1.8.0.min.js"></script>
    <script src="static/js/bootstrap.min.js"></script>
    <script src="static/js/bootstrap-tooltip.js"></script>
    <script src="static/lib/select2/select2.min.js" type="text/javascript"></script>
    <script src="static/js/angular/angular.min.js"> </script>
    <script src="static/lib/angular-ui/angular-ui.min.js"></script>
    <script src="static/js/directives.js"></script>
    <script src="static/js/filters.js"></script>
    <script src="static/js/angularize.js"></script>
    <script type="text/javascript">
    /* Onionoo does not yet support multiple flags */
    $('#guards_only').on('change', function(){
        if ($(this).is(':checked')) {
            $('#exits_only').attr('disabled', 'disabled');
        } else {
            $('#exits_only').removeAttr('disabled', 'disabled');
        }
    });
    $('#exits_only').on('change', function(){
        if ($(this).is(':checked')) {
            $('#guards_only').attr('disabled', 'disabled');
        } else {
            $('#guards_only').removeAttr('disabled', 'disabled');
        }
    });
    </script>
  </body>
</html>
